Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Create container file

containers.files.create(container_id, **kwargs) -> FileCreateResponse
POST
/containers/{container_id}/files

Create a Container File

You can send either a multipart/form-data request with the raw file content, or a JSON request with a file ID.

Parameters
container_id: str
file: Optional[FileTypes]

The File object (not file name) to be uploaded.

file_id: Optional[str]

Name of the file to create.

Returns
class FileCreateResponse: …
id: str

Unique identifier for the file.

bytes: int

Size of the file in bytes.

container_id: str

The container this file belongs to.

created_at: int

Unix timestamp (in seconds) when the file was created.

formatunixtime
object: Literal["container.file"]

The type of this object (container.file).

path: str

Path of the file in the container.

source: str

Source of the file (e.g., user, assistant).

Create container file

import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
file = client.containers.files.create(
    container_id="container_id",
)
print(file.id)
Response example
{
  "id": "cfile_682e0e8a43c88191a7978f477a09bdf5",
  "object": "container.file",
  "created_at": 1747848842,
  "bytes": 880,
  "container_id": "cntr_682e0e7318108198aa783fd921ff305e08e78805b9fdbb04",
  "path": "/mnt/data/88e12fa445d32636f190a0b33daed6cb-tsconfig.json",
  "source": "user"
}
Returns Examples
Response example
{
  "id": "cfile_682e0e8a43c88191a7978f477a09bdf5",
  "object": "container.file",
  "created_at": 1747848842,
  "bytes": 880,
  "container_id": "cntr_682e0e7318108198aa783fd921ff305e08e78805b9fdbb04",
  "path": "/mnt/data/88e12fa445d32636f190a0b33daed6cb-tsconfig.json",
  "source": "user"
}